# Do not modify this file!  It was generated by ‘nixos-generate-config’
# and may be overwritten by future invocations.  Please make changes
# to /etc/nixos/configuration.nix instead.
{
  config,
  lib,
  pkgs,
  modulesPath,
  ...
}: {
  imports = [
    (modulesPath + "/installer/scan/not-detected.nix")
  ];

  boot = {
    initrd = {
      availableKernelModules = ["xhci_pci" "thunderbolt" "nvme" "usb_storage" "sd_mod"];
      kernelModules = [];
    };
    kernelModules = ["kvm-intel" "sg"];
    extraModulePackages = [];

    # Bootloader.
    loader = {
      systemd-boot.enable = true;
      efi.canTouchEfiVariables = true;
    };

    supportedFilesystems = ["nfs"];
  };

  fileSystems = {
    "/" = {
      device = "/dev/disk/by-uuid/866d422b-f816-4ad9-9846-791839cb9337";
      fsType = "ext4";
    };

    "/boot" = {
      device = "/dev/disk/by-uuid/E138-65B5";
      fsType = "vfat";
    };

    "/mnt/leyla_documents" = {
      device = "defiant:/export/leyla_documents";
      fsType = "nfs";
      options = [
        "vers=4"
        "x-systemd.automount"
        "noauto"
        "user"
        "noatime"
        "nofail"
        "x-systemd.idle-timeout=600"
        "fsc"
        "timeo=600"
        "retrans=2"
      ];
    };

    "/mnt/eve_documents" = {
      device = "defiant:/export/eve_documents";
      fsType = "nfs";
      options = [
        "vers=4"
        "x-systemd.automount"
        "noauto"
        "user"
        "nofail"
        "x-systemd.idle-timeout=600"
        "fsc"
        "timeo=600"
        "retrans=2"
      ];
    };

    "/mnt/users_documents" = {
      device = "defiant:/export/users_documents";
      fsType = "nfs";
      options = [
        "vers=4"
        "x-systemd.automount"
        "noauto"
        "user"
        "nofail"
        "x-systemd.idle-timeout=600"
        "fsc"
        "timeo=600"
        "retrans=2"
      ];
    };

    "/mnt/media" = {
      device = "defiant:/export/media";
      fsType = "nfs";
      options = [
        "vers=4"
        "x-systemd.automount"
        "noauto"
        "user"
        "noatime"
        "nofail"
        "x-systemd.idle-timeout=600"
        "noatime"
        "nodiratime"
        "relatime"
        "fsc"
        "timeo=600"
        "retrans=2"
      ];
    };
  };

  environment.systemPackages = with pkgs; [
    cachefilesd
  ];

  services.cachefilesd.enable = true;

  swapDevices = [
    {device = "/dev/disk/by-uuid/be98e952-a072-4c3a-8c12-69500b5a2fff";}
  ];

  networking = {
    networkmanager.enable = true;
    useDHCP = lib.mkDefault true;
    hostName = "horizon"; # Define your hostname.
  };

  nixpkgs.hostPlatform = lib.mkDefault "x86_64-linux";
  powerManagement.cpuFreqGovernor = lib.mkDefault "powersave";

  hardware = {
    graphics.enable = true;
    cpu.intel.updateMicrocode = lib.mkDefault config.hardware.enableRedistributableFirmware;
  };
}
