{config, ...}: {
  folders = {
    leyla_documents = {
      id = "hvrj0-9bm1p";
    };
    leyla_calendar = {
      id = "8oatl-1rv6w";
    };
    leyla_notes = {
      id = "dwbuv-zffnf";
    };
    share = {
      id = "73ot0-cxmkx";
    };
  };
  devices = {
    defiant = {
      id = "3R6E6Y4-2F7MF2I-IGB4WE6-A3SQSMV-LIBYSAM-2OXHHU2-KJ6CGIV-QNMCPAR";
      folders = {
        leyla_documents = {
          folder = config.folders.leyla_documents;
          path = "/mnt/sync/leyla/documents";
        };
        leyla_calendar = {
          folder = config.folders.leyla_calendar;
          path = "/mnt/sync/leyla/calendar";
        };
        leyla_notes = {
          folder = config.folders.leyla_notes;
          path = "/mnt/sync/leyla/notes";
        };
        share = {
          folder = config.folders.share;
          path = "/mnt/sync/default/share";
        };
      };
    };
    twilight = {
      id = "UDIYL7V-OAZ2BI3-EJRAWFB-GZYVDWR-JNUYW3F-FFQ35MU-XBTGWEF-QD6K6QN";
      folders = {
        leyla_documents = {
          folder = config.folders.leyla_documents;
          path = "/mnt/sync/leyla/documents";
        };
        share = {
          folder = config.folders.share;
          path = "/mnt/sync/default/share";
        };
      };
    };
    horizon = {
      id = "OGPAEU6-5UR56VL-SP7YC4Y-IMVCRTO-XFD4CYN-Z6T5TZO-PFZNAT6-4MKWPQS";
      folders = {
        leyla_documents = {
          folder = config.folders.leyla_documents;
          path = "/mnt/sync/leyla/documents";
        };
        share = {
          folder = config.folders.share;
          path = "/mnt/sync/default/share";
        };
      };
    };
    coven = {
      id = "QGU7NN6-OMXTWVA-YCZ73S5-2O7ECTS-MUCTN4M-YH6WLEL-U4U577I-7PBNCA5";
      folders = {
        share = {
          folder = config.folders.share;
        };
        leyla_documents = {
          folder = config.folders.leyla_documents;
        };
      };
    };
    ceder = {
      id = "MGXUJBS-7AENXHB-7YQRNWG-QILKEJD-5462U2E-WAQW4R4-I2TVK5H-SMK6LAA";
      folders = {
        share = {
          folder = config.folders.share;
        };
        leyla_documents = {
          folder = config.folders.leyla_documents;
        };
        leyla_calendar = {
          folder = config.folders.leyla_calendar;
        };
        leyla_notes = {
          folder = config.folders.leyla_notes;
        };
      };
    };
    shale = {
      id = "AOAXEVD-QJ2IVRA-6G44Q7Q-TGUPXU2-FWWKOBH-DPKWC5N-LBAEHWJ-7EQF4AM";
      folders = {
        share = {
          folder = config.folders.share;
        };
      };
    };
  };
}
